const execa = require('execa')

const findLatestVersionOfPackage = async (package, cwd) => {
  const result = await execa(
    'yarn',
    ['-s', '--json', 'info', package, 'dist-tags'],
    { cwd }
  )

  try {
    const { data } = JSON.parse(result.stdout)

    return data.latest
  } catch (err) {
    console.log('Error while trying to get latest version:', err)
    console.log('package: %s, stdout: %s', package, result.stdout)
    throw err
  }
}

module.exports = {
  findLatestVersionOfPackage,
}
